Beefy Boxes and Bandwidth Generously Provided by pair Networks
Don't ask to ask, just ask
 
PerlMonks  

Re: perl on win2k

by JSchmitz (Canon)
on Nov 30, 2004 at 21:10 UTC ( #411289=note: print w/replies, xml ) Need Help??


in reply to perl on win2k

ActiveState has those modules
http://aspn.activestate.com/ASPN/search/searchModules?query=DBD
I can't really see the point in what you are trying to do - I mean you are trying to build something meant for a *nix distribution on a windows machine. ActiveState has a package manager that works pretty much like the perl -MCPAN -e shell command..just install ActiveState then from the install dir go to bin then fire up ppm should look like this:
C:\Perl\bin>ppm PPM - Programmer's Package Manager version 3.1. Copyright (c) 2001 ActiveState Corp. All Rights Reserved. ActiveState is a devision of Sophos. Entering interactive shell. Using Term::ReadLine::Stub as readline lib +rary. Type 'help' to get started. ppm> install DBD::Oracle

cheers
Jeffery

Replies are listed 'Best First'.
Re^2: perl on win2k
by ekkis (Initiate) on Dec 01, 2004 at 01:37 UTC
    ppm> install DBD::Oracle
    if only it were that simple. another module I can't seem to find: Sybase::DBlib
      search first, install later
Re^2: perl on win2k
by ekkis (Initiate) on Dec 01, 2004 at 01:52 UTC
    > I can't really see the point in what you are trying to do

    one other thing that just kills me:

    # perl -D -le 'print "ok"' Recompile perl with -DDEBUGGING to use -D switch
    grr...
Re^2: perl on win2k
by ekkis (Initiate) on Nov 30, 2004 at 23:24 UTC
    > I can't really see the point in what you are trying to do

    it's really more about the freedom to be able to install any module from CPAN I may need without being held hostage by the lack of a package than about compiling perl.

    I have found package support poor and to date I cannot make DBD::Sybase/Oracle work on anything above 5.6.0

    > ppm> install DBD::Oracle

    I get:

    Searching for 'DBD::Oracle' returned no results. Try a broader search +first.
    evn after adding the esoftmatic repository that olivierp pointed me to... and if I download the files myself and install them e.g. /ppm install DBD-Sybase.ppd/, trying to use I get errors:
    perl -le ' use DBI; use DBD::Sybase; '
    yields:
    The context allocation routine failed. The following problem caused the failure: Invalid context version.
    it is SO painful to work in w2k! ah!!!

Log In?
Username:
Password:

What's my password?
Create A New User
Domain Nodelet?
Node Status?
node history
Node Type: note [id://411289]
help
Chatterbox?
and the web crawler heard nothing...

How do I use this? | Other CB clients
Other Users?
Others taking refuge in the Monastery: (5)
As of 2022-08-19 07:23 GMT
Sections?
Information?
Find Nodes?
Leftovers?
    Voting Booth?

    No recent polls found

    Notices?